package com.ruixuan.isc.service;


import com.ruixuan.common.utils.Result;
import com.ruixuan.isc.entity.KuaishouLabel;

import java.util.List;

/**
 * 快手标签Service接口
 *
 * @author ruoyi
 * @date 2023-03-28
 */
public interface IKuaishouLabelService {
    /**
     * 查询快手标签
     *
     * @param id 快手标签主键
     * @return 快手标签
     */
    public KuaishouLabel selectKuaishouLabelById(Long id);

    /**
     * 查询快手标签列表
     *
     * @param kuaishouLabel 快手标签
     * @return 快手标签集合
     */
    public List<KuaishouLabel> selectKuaishouLabelList(KuaishouLabel kuaishouLabel);

    /**
     * 新增快手标签
     *
     * @param kuaishouLabel 快手标签
     * @return 结果
     */
    public Result insertKuaishouLabel(KuaishouLabel kuaishouLabel);

    /**
     * 修改快手标签
     *
     * @param kuaishouLabel 快手标签
     * @return 结果
     */
    public int updateKuaishouLabel(KuaishouLabel kuaishouLabel);

    /**
     * 批量删除快手标签
     *
     * @param ids 需要删除的快手标签主键集合
     * @return 结果
     */
    public int deleteKuaishouLabelByIds(Long[] ids);

    /**
     * 删除快手标签信息
     *
     * @param id 快手标签主键
     * @return 结果
     */
    public int deleteKuaishouLabelById(Long id);
}